<html>
<head>
<title>OGRE: OgreSceneQuery.h File Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li><a href="classes.html"><span>Classes</span></a></li>
    <li class="current"><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="dir_d6c9b501d36b850bf0bac687671293db.html">OgreMain</a>&nbsp;&raquo&nbsp;<a class="el" href="dir_f35e1e76cd4423745a1cccb1f171d4e3.html">include</a></div>
<h1>OgreSceneQuery.h File Reference</h1><code>#include &quot;<a class="el" href="OgrePrerequisites_8h-source.html">OgrePrerequisites.h</a>&quot;</code><br>
<code>#include &quot;<a class="el" href="OgreAxisAlignedBox_8h-source.html">OgreAxisAlignedBox.h</a>&quot;</code><br>
<code>#include &quot;<a class="el" href="OgreSphere_8h-source.html">OgreSphere.h</a>&quot;</code><br>
<code>#include &quot;<a class="el" href="OgreRay_8h-source.html">OgreRay.h</a>&quot;</code><br>
<code>#include &quot;<a class="el" href="OgreRenderOperation_8h-source.html">OgreRenderOperation.h</a>&quot;</code><br>
<code>#include &quot;<a class="el" href="OgrePlaneBoundedVolume_8h-source.html">OgrePlaneBoundedVolume.h</a>&quot;</code><br>

<p>
<a href="OgreSceneQuery_8h-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Namespaces</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">namespace &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html">Ogre</a></td></tr>

<tr><td colspan="2"><br><h2>Classes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneQuery.html">Ogre::SceneQuery</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">A class for performing queries on a scene.  <a href="classOgre_1_1SceneQuery.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1SceneQuery_1_1WorldFragment.html">Ogre::SceneQuery::WorldFragment</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Represents part of the world geometry that is a result of a <a class="el" href="classOgre_1_1SceneQuery.html" title="A class for performing queries on a scene.">SceneQuery</a>.  <a href="structOgre_1_1SceneQuery_1_1WorldFragment.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SceneQueryListener.html">Ogre::SceneQueryListener</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">This optional class allows you to receive per-result callbacks from <a class="el" href="classOgre_1_1SceneQuery.html" title="A class for performing queries on a scene.">SceneQuery</a> executions instead of a single set of consolidated results.  <a href="classOgre_1_1SceneQueryListener.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1SceneQueryResult.html">Ogre::SceneQueryResult</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Holds the results of a scene query.  <a href="structOgre_1_1SceneQueryResult.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RegionSceneQuery.html">Ogre::RegionSceneQuery</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Abstract class defining a query which returns single results from a region.  <a href="classOgre_1_1RegionSceneQuery.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AxisAlignedBoxSceneQuery.html">Ogre::AxisAlignedBoxSceneQuery</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Specialises the <a class="el" href="classOgre_1_1SceneQuery.html" title="A class for performing queries on a scene.">SceneQuery</a> class for querying within an axis aligned box.  <a href="classOgre_1_1AxisAlignedBoxSceneQuery.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1SphereSceneQuery.html">Ogre::SphereSceneQuery</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Specialises the <a class="el" href="classOgre_1_1SceneQuery.html" title="A class for performing queries on a scene.">SceneQuery</a> class for querying within a sphere.  <a href="classOgre_1_1SphereSceneQuery.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PlaneBoundedVolumeListSceneQuery.html">Ogre::PlaneBoundedVolumeListSceneQuery</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Specialises the <a class="el" href="classOgre_1_1SceneQuery.html" title="A class for performing queries on a scene.">SceneQuery</a> class for querying within a plane-bounded volume.  <a href="classOgre_1_1PlaneBoundedVolumeListSceneQuery.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RaySceneQueryListener.html">Ogre::RaySceneQueryListener</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Alternative listener class for dealing with <a class="el" href="classOgre_1_1RaySceneQuery.html" title="Specialises the SceneQuery class for querying along a ray.">RaySceneQuery</a>.  <a href="classOgre_1_1RaySceneQueryListener.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1RaySceneQueryResultEntry.html">Ogre::RaySceneQueryResultEntry</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">This struct allows a single comparison of result data no matter what the type.  <a href="structOgre_1_1RaySceneQueryResultEntry.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1RaySceneQuery.html">Ogre::RaySceneQuery</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Specialises the <a class="el" href="classOgre_1_1SceneQuery.html" title="A class for performing queries on a scene.">SceneQuery</a> class for querying along a ray.  <a href="classOgre_1_1RaySceneQuery.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1IntersectionSceneQueryListener.html">Ogre::IntersectionSceneQueryListener</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Alternative listener class for dealing with <a class="el" href="classOgre_1_1IntersectionSceneQuery.html" title="Separate SceneQuery class to query for pairs of objects which are possibly intersecting...">IntersectionSceneQuery</a>.  <a href="classOgre_1_1IntersectionSceneQueryListener.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1IntersectionSceneQueryResult.html">Ogre::IntersectionSceneQueryResult</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Holds the results of an intersection scene query (pair values).  <a href="structOgre_1_1IntersectionSceneQueryResult.html#_details">More...</a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1IntersectionSceneQuery.html">Ogre::IntersectionSceneQuery</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Separate <a class="el" href="classOgre_1_1SceneQuery.html" title="A class for performing queries on a scene.">SceneQuery</a> class to query for pairs of objects which are possibly intersecting one another.  <a href="classOgre_1_1IntersectionSceneQuery.html#_details">More...</a><br></td></tr>
<tr><td colspan="2"><br><h2>Typedefs</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef std::list<br>
&lt; MovableObject * &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html#eb1862543a1dcd5fc29dc4e549a71f15">Ogre::SceneQueryResultMovableList</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef std::list<br>
&lt; SceneQuery::WorldFragment * &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html#92a09e47bee5654fe8587a739dde5b80">Ogre::SceneQueryResultWorldFragmentList</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef std::vector<br>
&lt; RaySceneQueryResultEntry &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html#d131001f847e434a637a4e217d61cf7d">Ogre::RaySceneQueryResult</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef std::pair<br>
&lt; MovableObject *,<br>
 MovableObject * &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html#a1ca4f17a1e8bb7381446ae6235869d8">Ogre::SceneQueryMovableObjectPair</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef std::pair<br>
&lt; MovableObject *,<br>
 SceneQuery::WorldFragment * &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html#e8f394829e3a85cea6faa915ac391653">Ogre::SceneQueryMovableObjectWorldFragmentPair</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef std::list<br>
&lt; SceneQueryMovableObjectPair &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html#aa1601dd915ea1b91530e88825dbfd2b">Ogre::SceneQueryMovableIntersectionList</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef std::list<br>
&lt; SceneQueryMovableObjectWorldFragmentPair &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html#12d0977310ce2ed229d0345c620eff00">Ogre::SceneQueryMovableWorldFragmentIntersectionList</a></td></tr>

</table>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:48:58 2008
</p>
</body>
</html>
